//: C03:IWCompare.cpp {-g++}
// Z knihy "Myslíme v jazyce C++, část 2" od Bruce Eckela a Chucka Allisona.
// (c) 1995-2004 MindView, Inc. Všechna práva vyhrazena.
// Přečtěte si podmínky používání zdrojových kódů umístěné v souboru 
// 'Licence.txt' dodávaném spolu s balíčkem kódu dostupným na www.MindView.net.
#include <cassert>
#include <iostream>
#include "iwchar_traits.h"
using namespace std;

int main() {
  // Stejná písmena s různou velikostí:
  iwstring wprvni = L"tOto";
  iwstring wdruhy = L"ToTO";
  wcout << wprvni << endl;
  wcout << wdruhy << endl;
  assert(wprvni.compare(wdruhy) == 0);
  assert(wprvni.find('o') == 1);
  assert(wprvni.find('T') == 0);
  assert(wprvni.find('x') == wstring::npos);
} ///:~
